curl --request POST \
--url 'https://api.scanova.io/forms/notification/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"frequency": 3,
"form_ids": ["F8a9b0c1d2e3f4g5h"],
"is_active": true
}'
{
"id": 21,
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"bcc": null,
"frequency": 3,
"frequency_display": "Once a Week",
"form_list": [{ "form_name": "Booth Signup", "form_id": "F8a9b0c1d2e3f4g5h" }],
"is_active": true,
"slack_workspace": null,
"slack_channel_ids": null,
"created_by": { "id": 41, "email": "you@example.com" },
"created": "2026-09-08T10:05:00+05:30",
"modified": "2026-09-08T10:05:00+05:30"
}
表单通知
创建表单通知
POST /forms/notification/
POST
/
forms
/
notification
/
curl --request POST \
--url 'https://api.scanova.io/forms/notification/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"frequency": 3,
"form_ids": ["F8a9b0c1d2e3f4g5h"],
"is_active": true
}'
{
"id": 21,
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"bcc": null,
"frequency": 3,
"frequency_display": "Once a Week",
"form_list": [{ "form_name": "Booth Signup", "form_id": "F8a9b0c1d2e3f4g5h" }],
"is_active": true,
"slack_workspace": null,
"slack_channel_ids": null,
"created_by": { "id": 41, "email": "you@example.com" },
"created": "2026-09-08T10:05:00+05:30",
"modified": "2026-09-08T10:05:00+05:30"
}
创建一个定期表单报告通知。
如果账户计划的邮件报告配额已用尽(与潜在客户通知共享),则返回
需要具有
MANAGEMENT_API(或 MANAGEMENT_API_SANDBOX)配额和 LEAD_GENERATION_EMAIL_REPORT_CAN_CREATE_UPDATE 权限的管理 API 密钥,作为原始 Authorization 标头值发送 —— 参见管理 API 概述。string
必填
通知的内部名称。
string
必填
收件人电子邮件地址。
string
抄送电子邮件地址。
string
密送电子邮件地址。
array
必填
此通知所涵盖的
form_id 字符串数组。仅写入 —— 响应会改为在 form_list 下反映已解析的表单。boolean
默认值:"true"
通知当前是否已启用。
integer
已连接的 Slack 工作区 id,用于同时通过 Slack 发送。
array
当设置了
slack_workspace 时,要发布到的 Slack 频道 id。curl --request POST \
--url 'https://api.scanova.io/forms/notification/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"frequency": 3,
"form_ids": ["F8a9b0c1d2e3f4g5h"],
"is_active": true
}'
{
"id": 21,
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"bcc": null,
"frequency": 3,
"frequency_display": "Once a Week",
"form_list": [{ "form_name": "Booth Signup", "form_id": "F8a9b0c1d2e3f4g5h" }],
"is_active": true,
"slack_workspace": null,
"slack_channel_ids": null,
"created_by": { "id": 41, "email": "you@example.com" },
"created": "2026-09-08T10:05:00+05:30",
"modified": "2026-09-08T10:05:00+05:30"
}
403:
403
{ "detail": "You have exhausted your limit of 3 email reports.", "limit": 3 }
相关内容
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
201
Notification created.
此页面对您有帮助吗?